import { IVehiclePanelButtonsComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkVehiclePanelButtons implements IVehiclePanelButtonsComponent {
    /**
     * Can Delete
     */
    canDelete: boolean;
    /**
     * Can edit
     */
    canEdit: boolean;
    /**
     * On close function hook
     */
    handleDelete: () => void;
    /**
     * On open function hook
     */
    handleEdit: (e: MouseEvent) => void;
    useExternal: boolean;
    resetState(): void;
    connectedCallback(): void;
    componentWillLoad(): void;
    render(): any[];
    renderExternal(): any;
    renderInternal(): any;
}
